Subject: bug#34080: 27.0.50, 26.1; undocumented key bindings for *vc-diff*

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 13 Oct 2019 01:05:34 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> Van L <[email-masked]> writes:
>
>> The *Help* buffer for diff-mode.el is better 
>> if the following key bindings are documented 
>>
>> #+NAME: undocumented-key-bindings
>> | key   | binding        |
>>
>> |-------+----------------|
>> | TAB   | diff-hunk-next |
>> | S-TAB | diff-hunk-prev |
>
> There are several modes defined in diff-mode.el.
>
> Do you mean `diff-mode' itself?  TAB is not bound in `diff-mode', as far
> as I can tell.

It wasn't bound if I said `M-x diff-mode', but it is bound in *vc-diff*
buffers...

And if I `C-h b' in that buffer, I get

key             binding
---             -------

TAB		diff-hunk-next
[...]
<backtab>	diff-hunk-prev

But it's right that they are not listed in `C-h m'.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no